curl --request POST \
--url https://cool.jobmojito.com/functions/v1/job-interview-set-state \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"position_id": "00000000-0000-0000-0000-000000000000",
"is_embedded": true
}
'import requests
url = "https://cool.jobmojito.com/functions/v1/job-interview-set-state"
payload = {
"position_id": "00000000-0000-0000-0000-000000000000",
"is_embedded": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({position_id: '00000000-0000-0000-0000-000000000000', is_embedded: true})
};
fetch('https://cool.jobmojito.com/functions/v1/job-interview-set-state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}Set interview state
Changes the lifecycle status of an interview or position (draft, active, archived, preparing, completed, deleted) and/or manages its embed key. Provide at least one of status or is_embedded.
Authorizations
Supabase JWT — Authorization: Bearer <token>.
Body
Interview definition id or position id whose state should change.
1"00000000-0000-0000-0000-000000000000"
New lifecycle status to apply.
draft, active, archived, deleted, preparing, completed Controls iframe embedding of the interview on an external page. When true, ensures an embed key exists (returns embed_id/embed_signing_key, used to authenticate/sign the iframe embed). When false, removes the embed keys (disables embedding).
Response
State updated.
- Option 1
- Option 2
Returns { embed_id, embed_signing_key } when an embed key was created/returned (is_embedded=true), otherwise { success: true }.